v1.0

get

/ec-auth-svc/rest/v1.0/authstudies/{studyId}/userroles

Retrieves the user roles that are present in a study.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

User roles by category, with each role fully expanded, as per schema and including all fields.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DisplayStudyUserRolesDto
Type: object
Describes user roles within a study, indicating the type/category and a list of role objects assigned (typically study role details).
Show Source
  • roles
    List of role objects (actual schema depends on the use context, typically a DTO representing role details).
  • Type or category of the role for the user within a study (such as INVESTIGATOR, VIEWER, etc).
    Example: design
Example:
{
  "roleType": "design",
  "roles": [
    {
      "roleId": "D0F183DC273340CEA7AFDCB93A5B3D4B",
      "roleName": "Assign Site to a Study",
    },
    {
      "roleId": "9ED1AE19B0B04188B8A70A8D8374F315",
      "roleName": "View Library Objects",
    }
  ]
}
Nested Schema : roles
Type: array
List of role objects (actual schema depends on the use context, typically a DTO representing role details).
Show Source
  • items
    List of role objects (actual schema depends on the use context, typically a DTO representing role details).
Example:
[
    {
        "roleId":"D0F183DC273340CEA7AFDCB93A5B3D4B",
        "roleName":"Assign Site to a Study"
    },
    {
        "roleId":"9ED1AE19B0B04188B8A70A8D8374F315",
        "roleName":"View Library Objects"
    }
]
Nested Schema : items
Type: object
List of role objects (actual schema depends on the use context, typically a DTO representing role details).
Example:
[
    {
        "roleId":"D0F183DC273340CEA7AFDCB93A5B3D4B",
        "roleName":"Assign Site to a Study"
    },
    {
        "roleId":"9ED1AE19B0B04188B8A70A8D8374F315",
        "roleName":"View Library Objects"
    }
]
Examples

400 Response

Bad request.
Body ()
Root Schema : AuthResponse
Type: object
Generic API response wrapper containing result, error data, response version and status.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@65719c12
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top